SoundBlaster Live!

AmigaOne X5000 platform specific issues related to Linux only.

SoundBlaster Live!

Postby Spectre660 » Sun Dec 24, 2017 12:42 am

Skateman has found that Soundblaster Live! cards only work with less than 4GB ram under Linux on the X5000.
So if you want to use one and have more ram than that you have to use the mem=3500M option in your bootargs .

Thanks for the tip Skateman !!!
Spectre660
 
Posts: 1428
Joined: Sat Jun 18, 2011 3:16 pm
Location: Montserrat

Re: SoundBlaster Live!

Postby Skateman » Sun Dec 24, 2017 9:06 am

It was by accident that i found this... after a reinstall of Linux i was extremely happy with a working SB Live...
But after increasing the memory to a value above 4 GB it looked like the card was removed from my system.

I found this error.. snd_emu10k1 1000:04:04.0: architecture does not support PCI busmaster DMA with mask 0x7fffffff

Thanks for posting Spectre660
User avatar
Skateman
 
Posts: 75
Joined: Thu Aug 10, 2017 9:36 pm
Location: The Netherlands

Re: SoundBlaster Live!

Postby mechanic » Mon Jan 01, 2018 5:41 pm

Skateman wrote:I found this error.. snd_emu10k1 1000:04:04.0: architecture does not support PCI busmaster DMA with mask 0x7fffffff


I do not have X5000. The SBLive has on-board ROM in the emu10k1 that is (was) above the physical RAM limit for PCI only computers and usually reachable by virtual addresses. If the PCI slots in the X5000 are above the PCI limit of 2GB then changing the mask from 0x7FFF FFFF to a higher value might work. For 4GB the value may be 0x1 0000 0000 or 0xFFFF FFFF (?). I'm unable to test it. The value is in the IOMMU source and should be in the patches for the kernel. Good luck.
A-Eon A1X1000
User avatar
mechanic
 
Posts: 485
Joined: Sat Jun 25, 2011 10:22 pm

Re: SoundBlaster Live!

Postby Skateman » Mon Jan 01, 2018 9:00 pm

Hi Mechanic,

Thanks for the reply. The kernel patching thing is a bit above my reach... by mabey someone on this forum can pick it up..
I guess most people running linux on the X5000 have more than 2 GB, so if would be nice if this adressing issue could be fixed.

Dave
User avatar
Skateman
 
Posts: 75
Joined: Thu Aug 10, 2017 9:36 pm
Location: The Netherlands

Re: SoundBlaster Live!

Postby Skateman » Wed Jan 03, 2018 11:31 pm

Today i replaced my Soundblaster live for an M-Audio Revolution 5.1 soundcard. I have bought this card secondhand and guess what?
With more than 4 GB ram the M-Audio works great!

NOTE: Revolution 5.1 audio cards have been designed to be PCI 2.2
compliant with support for both 3.3-volt and 5-volt PCI signaling
environments. This guarantees compatibility with PCI-X, 64-bit, and standard
32-bit PCI-based systems, including the Apple G5.

This is the Card with a EnvyGT chipset, and works in OS4.1 FE as well!! :-)

Image

Image

So if you need a good soundcard... look for an M-Audio Revolution 5.1
User avatar
Skateman
 
Posts: 75
Joined: Thu Aug 10, 2017 9:36 pm
Location: The Netherlands


Return to Platform: AmigaOne X5000 - Linux Only

Who is online

Users browsing this forum: No registered users and 2 guests